<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.ruoyi.schedule.mapper.SysJobLogMapper">
    
    <resultMap type="com.ruoyi.schedule.domain.SysJobLog" id="SysJobLogResult">
        <result property="jobLogId"          column="job_log_id"         />
        <result property="jobName"           column="job_name"           />
        <result property="jobSimpleName"     column="job_simple_name"    />
        <result property="jobGroup"          column="job_group"          />
        <result property="cronExpression"    column="cron_expression"    />
        <result property="status"            column="status"             />
        <result property="costTime"          column="costTime"           />
        <result property="jobMessage"        column="job_message"        />
        <result property="exceptionInfo"     column="exception_info"     />
        <result property="createBy"          column="create_by"          />
        <result property="createTime"        column="create_time"        />
        <result property="updateBy"          column="update_by"          />
        <result property="updateTime"        column="update_time"        />
        <result property="delFlag"           column="del_flag"           />
        <result property="remark"            column="remark"             />
    </resultMap>

    <update id="clean">
        truncate table sys_job_log
    </update>

</mapper>